TokyoTyrant::add
TokyoTyrant::connectUri
TokyoTyrant
PHP Manual

# TokyoTyrant::connect

(PECL tokyo_tyrant >= 0.1.0)

TokyoTyrant::connect — Connect to a database

### Descrição

public TokyoTyrant TokyoTyrant::connect ( string `$host` [, int `$port` = TokyoTyrant::RDBDEF_PORT [, array `$options` ]] )

Connects to a remote database

### Parâmetros

`host`

  The hostname

`port`

  The port. Default: 1978

`options`

  Connection options: timeout (default: 5.0), reconnect (default: `TRUE`) and persistent (default: `TRUE`)

### Valor Retornado

This method returns the current object and throws TokyoTyrantException on failure.

### Exemplos

Exemplo #1 TokyoTyrant::connect example

`<?php
$tt = new TokyoTyrant();
$tt->connect("localhost", TokyoTyrant::RDBDEF_PORT)->put("test", "value");
?>`

### Veja Também

- TokyoTyrant::connectUri - Connects to a database

TokyoTyrant::add
TokyoTyrant::connectUri
TokyoTyrant
PHP Manual